### Sub-directory initiative

The intent behind this subdirectory is to lay out the foundations for various Data Acquisition techniques. 
The final product will allow users to select each of these foundational methods as a standalone system for 
generating the data that we perform VSLAM on. There are two possible sources for this task:

1. Acquire frames to perform VSLAM from existing data-sets
2. Acquire data from DJI Tello drone

#### Performing VSLAM using online dataset 

- Open up MATLAB console
- Install necessary MathWorks Library: Vision, Visual SLAM (users will be queried to download necessary packages)
- In MATLAB console, set imagesPath to 'rgbd_dataset_freiburg3_long_office_household/rgb'
- Run the vslam_implementation.m script with the imagesPath as input
- Use output of worldPointSet for figuring out which key features belong to which objects

#### Acquiring data from TELLO Drone
- One option being explored is to aquire the image dataset using a JAVA plugin for the tello drone. The sorucecode for this task can be found in the src directory of the following library: https://github.com/stemrobotics/Tello-SDK/tree/master 
- There is a Mathworks TELLO plugin, and its implementation is provided in the main.m file
    - This second method however is causing fatal crashes to the MATLAB IDE, so the JAVA method may be preferred moding forward